Upload User Document

Upload a document to a User

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Using the Users Api

curl -X POST \
  'http://api.testwyre.com/v3/users/{USER_ID}/governmentIdFront?docType=DRIVING_LICENSE' \
  --upload-file '/Users/user/driving-license-front.png' \
  -H 'Content-Type: image/png' \
  -H 'Authorization: Bearer {WYRE_TOKEN}' \

curl -X POST \
  'http://api.testwyre.com/v3/users/{USER_ID}/governmentIdBack?docType=DRIVING_LICENSE' \
  --upload-file '/Users/user/driving-license-back.pdf' \
  -H 'Content-Type: application/pdf' \
  -H 'Authorization: Bearer {WYRE_TOKEN}' \

You will get a Success Response code - 204 once the users documents have been successfully uploaded

Path Params
string
required

Identifier of the user whose document needs to be uploaded. Example- US_ZPHZTVAMR4X

string
required

The fieldId that the uploaded document is associated with. Only fieldId values of type governmentIdFront and governmentIdBack will accept a document upload.

Query Params
string
required

Possible values are GOVT_ID, DRIVING_LICENSE, PASSPORT_CARD and PASSPORT for governmentIdFront. Possible values are GOVT_ID, DRIVING_LICENSE, PASSPORT_CARD for governmentIdBack.

string
required

You have to masquerade as the user you are uploading the file for. Same user used in the path params. Example- user:US_ZPHZTVAMR4X

Body Params
file
required

Supported document types are PDF, JPEG, PNG, DOC, and DOCX. Maximum file upload size is 7.75MB

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json